petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscPartitionerGetType

Gets the PetscPartitioner type name (as a string) from the object.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerGetType(PetscPartitioner part, PetscPartitionerType *name)

Not Collective

### Input Parameter

part -The PetscPartitioner

### Output Parameter

name -The PetscPartitioner type name

### Keywords

PetscPartitioner, get, type, name

### See Also

PetscPartitionerSetType(), PetscPartitionerCreate()

Level:intermediate
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages